import esbuild from 'esbuild'
import pkg from './package.json' assert { type: 'json' }

const { version } = pkg

esbuild.build({
  entryPoints: ['src/index.js'],
  sourcemap: false,
  bundle: true,
  define: { 'process.env.APP_VERSION': `'${version}'` },
  platform: 'node',
  target: 'node10',
  minify: true,
  // external: ['chalk'],
  outfile: 'index.js'
})
